/*                                                                   */
/*   Simple "test driver" for the RINDEX function.                   */
/*                                                                   */ 
    
trace l                               /* trace subroutine activities */ 

parse arg string search_byte .        /* get string & byte to find   */

call  rindex string                   /* call the RINDEX function    */

if result <> 0 then                   /* display the RESULT          */
   say 'The rightmost byte position is:' result  
else
   say 'The search byte' search_byte 'was not found in the string' string

exit 0                


/*  RINDEX:                                                          */
/*                                                                   */
/*     Returns the rightmost position of a byte within a string.     */

rindex: procedure expose search_byte                        

parse arg string                                  /* read the string */

say string search_byte               /* show recursive trace for fun */

string_length   = length(string)     /* determine string length      */
string_length_1 = length(string) -1  /* determined string length - 1 */
 
if string == ''         /* here's the 'end recursion' condition      */
   then return 0
else do
   if substr(string,string_length,1) == search_byte then
      return string_length
   else
      new_string_to_search = substr(string,1,string_length_1)
   return rindex(new_string_to_search) 
end
