/***************************************************************/
/* SPEECH                                                      */
/*                                                             */
/* Shows how to have your PC speak from text.                  */
/***************************************************************/

/* open the default speech engine, get ready to pronounce text */

voice = SpeechOpen()
if voice == "" then do
   say 'ERROR- could not initialize speech device!'
   return
end


/* who says computers can't talk?                              */

error = SpeechSpeak(voice, "This is your computer talking.")
if error \== "" then say 'ERROR- trying to talk:' error


/* close the speech engine and exit the program                */

call SpeechClose voice

exit 0