/*  STACK PARMS:                                                     */
/*                                                                   */
/*     This program shows how pass an arbitrary list of parameters   */
/*     to an internal subroutine by using the stack                  */

number_of_parms = 5                /* define number of parms to pass */

do j=1 to number_of_parms
   queue 'Parm: line #'  ||  j     /* queue the parms onto the stack */
end

call get_parms number_of_parms
exit 0


get_parms:  procedure              /* no variables need be EXPOSE'd  */

   do j = 1 to arg(1)              /* retrieve and display all the   */
      parse pull line              /* input parms passed in via      */
      say line                     /* the stack                      */
   end
   return
